Reference for all data types returned and accepted by the 301LINK API
Data Types
This page documents all data types returned by the 301LINK API.
Account
Represents a registered user in the system. Accounts are created via GET /v1/new_account.
{
"Uid": 0,
"AccessCode": "550e8400-e29b-41d4-a716-446655440000",
"DateCreated": "2026-01-01T00:00:00.000Z",
"MaxLinks": 20
}
| Field | Type | Description |
|---|---|---|
Uid |
number | Unique numeric identifier for the account |
AccessCode |
string | UUID v4 string used for authentication |
DateCreated |
string | ISO 8601 timestamp of when the account was created |
MaxLinks |
number | Maximum number of links this account is allowed to create |
- New accounts are created with a default
MaxLinksof 20. - The
AccessCodereturned byGET /v1/new_accountis theAccessCodefield of the Account. It is your only means of authentication: don’t lose it!
Link
Represents a shortened URL entry. Returned by GET /v1/get/:shortcode, GET /v1/links, and GET /v1/link.
{
"ShortCode": "abcd",
"PointsTo": "https://example.com/target-page",
"CreatedBy": 0,
"Accesses": 123
}
| Field | Type | Description |
|---|---|---|
ShortCode |
string | The shortened link without the base URL |
PointsTo |
string | The full target URL |
CreatedBy |
number | The Uid of the account that created this link (not authentication! not revealing!) |
Accesses |
number | Running count of how many times this link has been resolved via GET /v1/get/:shortcode |
- Auto-generated shortcodes are 6 characters long, drawn from
[A-Za-z0-9].
Error Responses
Error responses are returned as plain text with an HTTP status code. They are descriptive, so please note them and fix your application!